Page 4 of 8

Re: OpenCart 2.0.3.0 Available Now

Posted: Fri May 29, 2015 10:33 pm
by JNeuhoff
ThePath wrote:Seems a shame that it still wont work on A LOT of shred hosting accounts because of the cURL HTTP loopbacks. Does anyone know why these loopbacks have been introduced and if we can go back to the way it was.

I can only assume a fairly massive impact on OC popularity. A lot of OpenCart users will be on shared hosting, a lot of whom dont allow these loopback requests for security reasons. OC v2 is essentially alienating these users and stopping support of the new system by hosts.

Heart Internet is one of the UK's biggest hosts and certainly the biggest reseller. Heart Internet and all its resellers now dont support OC v2.

Seems mad to me.
I'll face the same issue soon with our webhost, and I think I already have an idea how to create a workaround for this, though it might a take a few more days before I can start on this.

Re: OpenCart 2.0.3.0 Available Now

Posted: Sat May 30, 2015 1:25 am
by yodapt
According to AstoGrep there are 107 occurences of curl_init() in the latest OC, most of them scatered in payment methods and shipping methods. I suggest a library to handle this type of requests, where there is backwards compatibility and ability to use or not cURL when there is another way.

Re: OpenCart 2.0.3.0 Available Now

Posted: Sat May 30, 2015 1:51 am
by JNeuhoff
yodapt wrote:According to AstoGrep there are 107 occurences of curl_init() in the latest OC, most of them scatered in payment methods and shipping methods. I suggest a library to handle this type of requests, where there is backwards compatibility and ability to use or not cURL when there is another way.
The issue here is not CURL as such, but rather, that it is at times used for OpenCart API calls from the server's same IP-address, if I understand it correctly. And it is here were the server's security settings and/or firewalls sometimes prevent these kinds of calls from completing.

Re: OpenCart 2.0.3.0 Available Now

Posted: Sat May 30, 2015 2:05 am
by yodapt
What are your thoughts on a workaround?

Re: OpenCart 2.0.3.0 Available Now

Posted: Sat May 30, 2015 3:41 am
by JAY6390
I'd be interested to know your thoughts on a work around too. I was thinking the only real way would be a proxy of some description, but that's going to be a little annoying. I wonder why it is the hosts don't like calls from their own servers, since I'm assuming any other curl request from external sources go through unnoticed

Re: OpenCart 2.0.3.0 Available Now

Posted: Sat May 30, 2015 3:42 am
by JAY6390
aljawaid wrote:My internet is hosted by Falcoda...who according to the DNS tags are part of Heart Internet. I'e not gone live yet but most of the system works so far.

Registered through:
Falcoda Internet
URL: http://www.falcoda.co.uk

Registrar:
Heart Internet Ltd t/a eXtend [Tag = EXTEND]
Your domain may be registered through Heart but it doesn't mean the server behind it is anything to do with it

Re: OpenCart 2.0.3.0 Available Now

Posted: Sat May 30, 2015 5:07 am
by aljawaid
JAY6390 wrote:
aljawaid wrote:My internet is hosted by Falcoda...
Your domain may be registered through Heart but it doesn't mean the server behind it is anything to do with it
Ah ok then, sorry about that :)

Re: OpenCart 2.0.3.0 Available Now

Posted: Sat May 30, 2015 8:01 am
by exit15
How do i upgrade from 2.0.2.0 to 2.0.3.1? do i just copy files over? are there any db changes?
there are no instructions, not a word on upgrading within the 2.x world, you can't expect us to reinstall every small release, lose all the settings, configs, etc. -thanks

Re: OpenCart 2.0.3.0 Available Now

Posted: Sat May 30, 2015 7:02 pm
by pm-netti
exit15 wrote:How do i upgrade from 2.0.2.0 to 2.0.3.1? do i just copy files over? are there any db changes?
there are no instructions, not a word on upgrading within the 2.x world, you can't expect us to reinstall every small release, lose all the settings, configs, etc. -thanks
Copy files and delete in databse table `order_fraud`.
If you in use extension eg. `bugs-fix-2-0-2-0.xml`, delete it.

Ps. add this line to files config.php:

Code: Select all

define('DB_PORT', '3306');

Re: OpenCart 2.0.3.0 Available Now

Posted: Sat May 30, 2015 9:01 pm
by sculptex
Qphoria raised this on GitHub now.
https://github.com/opencart/opencart/issues/3062

Re: OpenCart 2.0.3.0 Available Now

Posted: Sun May 31, 2015 4:53 am
by thbr02
pm-netti wrote:
exit15 wrote:How do i upgrade from 2.0.2.0 to 2.0.3.1? do i just copy files over? are there any db changes?
there are no instructions, not a word on upgrading within the 2.x world, you can't expect us to reinstall every small release, lose all the settings, configs, etc. -thanks
Copy files and delete in databse table `order_fraud`.
If you in use extension eg. `bugs-fix-2-0-2-0.xml`, delete it.

Ps. add this line to files config.php:

Code: Select all

define('DB_PORT', '3306');
Is this all? Are the config files supposed to be overwritten? What about the index.php?

Re: OpenCart 2.0.3.0 Available Now

Posted: Sun May 31, 2015 7:04 pm
by pm-netti
thbr02 wrote:Is this all?
Yes.
thbr02 wrote:Are the config files supposed to be overwritten?
Only need add this line:

Code: Select all

define('DB_PORT', '3306');
thbr02 wrote: What about the index.php?
Quote.
pm-netti wrote:Copy files
This mean all files in version 2.0.3.1 (this default is upgrade from version 2.0.x)

Re: OpenCart 2.0.3.0 Available Now

Posted: Mon Jun 01, 2015 12:05 am
by thbr02
pm-netti wrote:
thbr02 wrote:Is this all?
Yes.
thbr02 wrote:Are the config files supposed to be overwritten?
Only need add this line:

Code: Select all

define('DB_PORT', '3306');
thbr02 wrote: What about the index.php?
Quote.
pm-netti wrote:Copy files
This mean all files in version 2.0.3.1 (this default is upgrade from version 2.0.x)
So I won't even run the install.php?

Re: OpenCart 2.0.3.0 Available Now

Posted: Mon Jun 01, 2015 12:16 am
by pm-netti
thbr02 wrote: So I won't even run the install.php?
is not need.

Re: OpenCart 2.0.3.0 Available Now

Posted: Mon Jun 01, 2015 12:26 am
by thbr02
Ok, I deleted the order_fraud table but got an error when entering the orderlist. Restored it and it works fine now.

So the installation folder is just to delete then?

I tried to restore by the inbuilt restore tool, but it seems like both the backup button and the restore button makes a backup. Non of them will restore.

Re: OpenCart 2.0.3.0 Available Now

Posted: Mon Jun 01, 2015 1:06 am
by Skunky Juice
I just had to rename both the config-dist files on a fresh install. I've not used OC for a whiole but never rememebr having to do it before.

Regards,
Skunky Juice

Re: OpenCart 2.0.3.0 Available Now

Posted: Mon Jun 01, 2015 1:43 am
by pm-netti
thbr02 wrote:Ok, I deleted the order_fraud table but got an error when entering the orderlist. Restored it and it works fine now.
You are not updated all files to version 2.0.3.1.

Re: OpenCart 2.0.3.0 Available Now

Posted: Mon Jun 01, 2015 1:50 am
by thbr02
pm-netti wrote:
thbr02 wrote:Ok, I deleted the order_fraud table but got an error when entering the orderlist. Restored it and it works fine now.
You are not updated all files to version 2.0.3.1.
I've uploaded the whole content fo the upload folder, but I didn't delete anything. Just overwritten it. What files wasn't uploaded then?

Re: OpenCart 2.0.3.0 Available Now

Posted: Mon Jun 01, 2015 1:59 am
by pm-netti
thbr02 wrote:
pm-netti wrote:
thbr02 wrote:Ok, I deleted the order_fraud table but got an error when entering the orderlist. Restored it and it works fine now.
You are not updated all files to version 2.0.3.1.
I've uploaded the whole content fo the upload folder, but I didn't delete anything. Just overwritten it. What files wasn't uploaded then?
If your order list Is not work without table `order_fraud`, files is not corrects.

ps, You update extensions to version 2.0.3.1.

Re: OpenCart 2.0.3.0 Available Now

Posted: Mon Jun 01, 2015 2:37 am
by Skunky Juice
pm-netti wrote:
thbr02 wrote:Ok, I deleted the order_fraud table but got an error when entering the orderlist. Restored it and it works fine now.
You are not updated all files to version 2.0.3.1.
No they were there but left with a 500 error and not dropping the .dist.

Any idea when my moderated posted will be read. The captcha on opencart.com is not working for me in various browsers and I need to buy a theme to finish my project. Nice script in general though but my first time on v2 I have other stores running on the v1 that have served me well for three years bar two lame defaces.

Regards,
Skunky Juice